petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMNetworkGetSubnetworkInfo

Returns the info for the subnetwork

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetSubnetworkInfo(DM netdm,PetscInt id,PetscInt *nv, PetscInt *ne,const PetscInt **vtx, const PetscInt **edge)

Input Parameters

| dm | - the number object
| id | - the ID (integer) of the subnetwork

Output Parameters

| nv | - number of vertices (local)
| ne | - number of edges (local)
| vtx | - local vertices for this subnetwork
| edge | - local edges for this subnetwork

### Notes

Cannot call this routine before DMNetworkLayoutSetup()

### See Also

DMNetworkLayoutSetUp, DMNetworkCreate

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages